@echo off
setlocal ENABLEDELAYEDEXPANSION

::_______________________________________________
::
::	SETTINGS
::_______________________________________________
::

	if "%EFUPATH%"=="" set EFUPATH=%~dp0%efu
	if "%EVERYTHING_PATH%"=="" set EVERYTHING_PATH=%ProgramFiles%\everything
	set EXE=%EVERYTHING_PATH%\everything.exe


::_______________________________________________
::
::	INIT
::_______________________________________________
::

	pushd "%~dp0"
	set INI=%~n0.ini

	
::_______________________________________________
::
::	ACTION!
::_______________________________________________
::
	
	if not exist "%INI%" call :NEWINI

:: PREPARE INI
	set LIST=
	for %%x in (%EFUPATH%\*.efu) Do set LIST=!LIST!,"%%~fx"
	set LIST=%LIST:\=\\%
	echo filelists=%LIST%
	echo filelists=%LIST%>> "%INI%"

:: Start Everything
	start "" "%EXE%" -nodb -instance MasterEFU -config "%INI%"
   

goto :EOF



:NEWINI
(
	echo [Everything]
	echo allow_http_server=0
	echo allow_etp_server=0

	echo run_as_admin=0
	echo run_in_background=0
	echo show_in_taskbar=1
	echo show_tray_icon=0
	echo minimize_to_tray=0
	echo hide_on_close=0

	echo check_for_updates_on_startup=0

	echo auto_include_fixed_volumes=0
	echo auto_include_removable_volumes=0
	echo auto_include_fixed_refs_volumes=1
	echo auto_include_removable_refs_volumes=0

	echo file_list_filename_column_visible=1
) > "%INI%"

goto :EOF