@echo off
setlocal ENABLEDELAYEDEXPANSION

if "%~1"=="" (
	echo Usage: catd [drive letter]
	echo Drives found:-
	echo,
	call listdrives.cmd 
	goto exit
)

set src=%~1%

if "%EFUPATH%"=="" set EFUPATH=%~dp0%efu
if "%EVERYTHING_PATH%"=="" set EVERYTHING_PATH=%ProgramFiles%\everything

:: ---------------
:: Get drive label
:: ---------------
for /f "tokens=5*" %%a in (
  'vol "%src%"^|find "Volume in drive "') do (
    set label=%%b)

if "%label%"=="no label." (
	echo Empty label for %1
	set label=Empty
)

:: ------------------------
:: Get volume serial number
:: ------------------------
for /F "skip=1 tokens=5" %%a in ('vol %src%') do set serial=%%a

rem echo Serial number of drive %1 is: %serial%
rem echo Label of drive %1 is: %label%

set driveid=%label%_%serial%
rem echo driveid: %driveid%

set efuFile=%EFUPATH%\%driveid%.efu
rem echo output: %efuFile%

echo Disk catalog %src% -^> %efuFile%

:: --------------------------
:: call Everything to catalog
:: --------------------------

REM this is specific to me, I use a program called 'Prevent Disk Sleep' and I don't want to index recycle bin
set excludeFolders="$RECYCLE.BIN;Wd;System Volume Information"
set excludeFiles="*.lnk;thumbs.db;*.tmp;Prevent Disk Sleep.txt"

rem echo excluding: %excludeFolders%
rem echo excluding: %excludeFiles%

"%EVERYTHING_PATH%\Everything.exe" -create-file-list %efuFile% %src% -create-file-list-exclude-files %excludeFiles% -create-file-list-exclude-folders %excludeFolders%

ENDLOCAL

echo,
echo Done
:exit

rem Junk - failed code 
rem for /F "tokens=5" %%a in ('vol %~1') do set sex=%%a
rem echo ss: %sex%
rem for /F "tokens=1-5" %%1 in ('vol %~1') do set label=%%6